| Home | Libraries | People | FAQ | More

#### host_type

Identifies the type of host in a URL.

##### Synopsis

Defined in header `<boost/url/host_type.hpp>`

    enum host_type

##### Values

Name | Description
--- | ---
`none` | No host is specified.
`name` | A host is specified by reg-name.
`ipv4` | A host is specified by `ipv4_address`.
`ipv6` | A host is specified by `ipv6_address`.
`ipvfuture` | A host is specified by IPvFuture.

##### Description

Values of this type are returned by URL views and containers to indicate the type of host present in a URL.

Convenience header `<boost/url.hpp>`